-- name: THPS1 - Warehouse (Hangout Add-on)
-- description: THPS1's Warehouse Level, ported to Mario 64! Map rip and port done by Buckley Tim.

-- use fixed collisions
gLevelValues.fixCollisionBugs = 1

-- register level
LEVEL_HANGOUT_WAREHOUSE = 95
level_register('level_warehouse_entry', COURSE_NONE, "Warehouse", 'warehouse', 28000, 0x28, 0x28, 0x28)
local level_hangout_warehouse = smlua_level_util_get_info_from_short_name('warehouse')
level_hangout_warehouse.levelNum = LEVEL_HANGOUT_WAREHOUSE

function notifynewplayers()
    djui_chat_message_create("Warehouse is an available hangout.")
end

function warehouse_warp()
    if gNetworkPlayers[0] then
        warp_to_level(LEVEL_HANGOUT_WAREHOUSE, 1, 0)
        return true
    end
end

hook_event(HOOK_JOINED_GAME, notifynewplayers)
hook_chat_command("warehouse", "Warps to Warehouse", warehouse_warp)